# Test Plans

## Joint test plan

| **Step description**                                                                       | **Input**                           | **Desired Output**                                                                                                                                                                     |
|----------------------------------------------------------------------------------------|---------------------------------|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| User looks at the situation card in play                                               | No input                        | All users can see the progress towards each solution and how much time until game over.                                                                                            |
| User solves a situation                                                                | Playing the game- Button clicks | All users can see that the situation has changed, and that a new situation has been placed down.                                                                                   |

## Isaac's test plan

| **Step description**                                                                       | **Input**                           | **Desired Output**                                                                                                                                                                     |
|----------------------------------------------------------------------------------------|---------------------------------|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| User clicks “Connect to lobby” button                                                  | Button click                    | User successfully connects to a lobby and can select a position.                                                                                                                   |
| User clicks “Make lobby” button                                                        | Button click                    | User opens a lobby for other users to join. Can start game after 3 players have joined and selected politburo position                                                             |
| User clicks “start game” button with only 1 player in the game.                        | Button click                    | User receives message saying “You must have at least 3 players to play *Politburo*.”                                                                                                 |
| User clicks “start game” button with 3 users in the game                               | Button click                    | User begins the game                                                                                                                                                               |
| User clicks “start game” button when at least 1 other user has not selected a position | Button click                    | User receives message saying “Not all players have selected a position. Please be patient.”                                                                                        |
| User clicks on an open position in the politburo                                       | Button click                    | User successfully selects that position.                                                                                                                                           |
| User clicks on a closed position in the politburo                                      | Button click                    | User does not select that position.                                                                                                                                                |
| User types a message into a chat box                                                   | Keystrokes, button click        | User on the receiving end receives the sender’s input.                                                                                                                             |

## Rowan's test plan

| **Step description**                                                                       | **Input**                           | **Desired Output**                                                                                                                                                                     |
|----------------------------------------------------------------------------------------|---------------------------------|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| User hovers over \[card\] hand                                                           | Mouse moves                     | Makes the hand more prominent on the screen so that the user can see it.                                                                                                           |
| User clicks on a card                                                                  | Button click                    | The card is magnified so that user can clearly see influence cost, effects, and the card art.                                                                                      |
| User clicks on a card to play it                                                       | Button click                    | User plays a card on the table and can see other player’s played cards                                                                                                             |
| User clicks on a card that another player placed down during the ‘debate phase’        | Button click                    | Two choices (“Support” and “Challenge”) pop up under the card.                                                                                                                     |
| User clicks on either “Support” or “Challenge”                                         | Button click                    | A counter pops up which allows you to spend influence to challenge the card.                                                                                                       |
| User looks at their info card on the bottom right                                      | No input                        | User can see how much influence they have and how much influence they gain each turn. User can see how much public opinion they have. User can see their position and its effects. |
| User clicks “single player”                                                            | Button click                    | User can select a position and start playing                                                                                                                                       |
| User plays a game of politburo with AI                                                 | Playing the game                | AI is at least semi-competent and wins at least 1 of the games.                                                                                                                    |
| User meets win condition                                                               | Playing the game                | User is shown a screen saying that they won the game and gives them the option to return to multiplayer or to close the application.                                               |
| User loses the game                                                                    | Playing the game                | User is shown a screen saying that they lost and gives them the option to return to multiplayer or to close the application.                                                       |
